New customers: 5% off orders over $300 | Worldwide shipping from Shenzhen · 30,000+ technicians served Track Your Order FAQ

Tools

Start with the exact device model when choosing replacement parts. For repair equipment, compare the task, supported models, voltage and plug, compatible tips or fixtures, and package contents.

1567 products found

Category

Brand

Price (USD)

—

Sort by

Reset
1285 products found
i2C Q5 High Toughness Chip Repair Blades -13%
i2c
i2C Q5 High Toughness Chip Repair Blades
No reviews yet · In Stock
$3.49 $3.99
CODE: GR-GLR009
TBK Laser Machine Lens Protective Cover for iPhone 8 -13 Pro Max -17%
TBK
TBK Laser Machine Lens Protective Cover for iPhone 8 -13 Pro Max
No reviews yet · In Stock
$9.99 $12.00
CODE: LS-LSR006
TBK Universal Back Cover Press Mould Fixture for TBK958A 958B 958C Laser Separator Machine -31%
TBK
TBK Universal Back Cover Press Mould Fixture for TBK958A 958B 958C Laser Separator Machine
No reviews yet · In Stock
$19.99 $29.00
CODE: LS-LSR007
CJ7+ Electric Cleaning Twister Glue Remover -48%
Best
CJ7+ Electric Cleaning Twister Glue Remover
No reviews yet · In Stock
$10.90 $21.00
CODE: GR-GLR010
MaAnt Special Diamond Wire for LCD Separator 100M -25%
MaAnt
MaAnt Special Diamond Wire for LCD Separator 100M
No reviews yet · In Stock
$1.50 $2.00
CODE: RF-RFC012
Cellphone LCD Screen Separator Handy Tool -67%
Best
Cellphone LCD Screen Separator Handy Tool
No reviews yet · In Stock
$0.99 $3.00
CODE: RF-RFC013
Alloy Wire for Cellphone LCD Screen Separator Handy Tool -50%
Best
Alloy Wire for Cellphone LCD Screen Separator Handy Tool
No reviews yet · In Stock
$1.50 $3.00
CODE: RF-RFC014
BEST Back Cover Glass Glue Solution 20ml for iPhone 8/8P/X -33%
Best
BEST Back Cover Glass Glue Solution 20ml for iPhone 8/8P/X
No reviews yet · In Stock
$4.00 $6.00
CODE: RF-RFC015
TBK 958F 20W Fiber Automatic Laser Removal Back Cover Glass Machine -11%
TBK
TBK 958F 20W Fiber Automatic Laser Removal Back Cover Glass Machine
No reviews yet · In Stock
$1,635.99 $1,828.00
CODE: LS-LSR008
TBK-288 Automatic Intelligent Control Screen Sepatator -12%
TBK
TBK-288 Automatic Intelligent Control Screen Sepatator
No reviews yet · In Stock
$495.55 $560.00
CODE: HP-HTP023
Laser Separate Machine Back Cover Protect Mold for iPhone 8-14 ProMax -90%
M-Triangel
Laser Separate Machine Back Cover Protect Mold for iPhone 8-14 ProMax
No reviews yet · In Stock
$9.90 $99.00
CODE: LS-LSR009
Apparatus Ligamentosus Weitbrechti Soft Silicone 16 x 16cm For Phone Repair -17%
M-Triangel
Apparatus Ligamentosus Weitbrechti Soft Silicone 16 x 16cm For Phone Repair
No reviews yet · In Stock
$2.50 $3.00
CODE: RF-RFC017
TBK-202 Side Open Universal Unheated LCD Screen Separator
TBK
TBK-202 Side Open Universal Unheated LCD Screen Separator
No reviews yet · In Stock
$22.00 $24.00
CODE: HP-HTP025
Mechanic IR14 Mobile Phone Screen OCA Glue Cutting / Grinding All-in-one Electric Remover -14%
MECHANIC
Mechanic IR14 Mobile Phone Screen OCA Glue Cutting / Grinding All-in-one Electric Remover
No reviews yet · In Stock
$11.99 $13.99
CODE: GR-GLR013
TBK-808A 13inch Vaccum Laminator Bubble Remover Machine -21%
TBK
TBK-808A 13inch Vaccum Laminator Bubble Remover Machine
No reviews yet · In Stock
$520.00 $658.00
CODE: LM-VAC006
SunShine S-918L Plus Mobile Phone Flat And Curved Screen Separator Machine
SunShine
SunShine S-918L Plus Mobile Phone Flat And Curved Screen Separator Machine
No reviews yet · In Stock
$66.99 $72.99
CODE: HP-HTP027
2UUL DA33 No-Damage Blue Light FilmCamera Lens Protective Sticker 500pcs/Box -13%
2UUL
2UUL DA33 No-Damage Blue Light FilmCamera Lens Protective Sticker 500pcs/Box
No reviews yet · In Stock
$2.59 $2.99
CODE: RF-RFC018
Touch Screen Separator Antiskid Rubber Mat 180 x 110 x 10 mm -67%
Best
Touch Screen Separator Antiskid Rubber Mat 180 x 110 x 10 mm
No reviews yet · In Stock
$1.00 $3.05
CODE: RF-RFC019
TBK R-2201 Intelligent Infrared Laser Disassembly Welding Machine -16%
TBK
TBK R-2201 Intelligent Infrared Laser Disassembly Welding Machine
No reviews yet · In Stock
$1,462.99 $1,749.00
CODE: LS-LSR011
SUNSHINE LS3 SE 11-inch LCD screen separator -26%
SunShine
SUNSHINE LS3 SE 11-inch LCD screen separator
No reviews yet · In Stock
$18.49 $24.99
CODE: HP-HTP033
YCS M.Y Framed Laminating Universal Mold for iPhone 12 to 17 series -13%
YCS
YCS M.Y Framed Laminating Universal Mold for iPhone 12 to 17 series
No reviews yet · In Stock
$12.99 $14.99
CODE: LM-MLD009
TBK 205 LCD Suction Cup Fixture
TBK
TBK 205 LCD Suction Cup Fixture
No reviews yet · In Stock
$92.99 $99.00
CODE: LS-LSR012
RELIFE RL-601P MAX Multifunctional Frame Corrector
ReLife
RELIFE RL-601P MAX Multifunctional Frame Corrector
No reviews yet · In Stock
$54.99 $59.99
CODE: HP-HTP035
SUNSHINE SS-601G Multifunctional heating-free screen remover -42%
SunShine
SUNSHINE SS-601G Multifunctional heating-free screen remover
No reviews yet · In Stock
$13.99 $23.99
CODE: HP-HTP036

Subscribe to our newsletter

Be the first to know about new arrivals and promotions.